spinButton
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

spinButton - Create and manipulate a spin button

## SYNOPSIS

spinButton ?-option optionVal ...?

## OPTIONS

-variable
  Name of a (global) variable which is changed if the state of the button changes. If the variable does not exist, it is created with a value of lower. If it does exist the widget is set accordingly. If the variable is set externaly (e.g. via the set command) command is called and the state of the widget changed.
  type: string
  default: ""

-maxLength
  maximum length of entry value (-1 means not limited)
  type: integer
  default: -1

-editable
  Whether or not the the entry is editable
  type: boolean
  default: true

-lower
  lower limit
  type: double
  default: 0

-upper
  upper limit
  type: double
  default: 0

-value
  acual value
  type: double
  default: 0

-stepInc
  step increment
  type: double
  default: 1

-pageInc
  page increment
  type: double
  default: 10

-numeric
  Whether only numeric values are accepted.
  type: boolean
  default: true

-digits
  Number of decimal places which are displayed.
  type: integer
  default: 1

-command
  Tcl command which is executed if the item is selected
  Before evaluating every percent (%) and its following character is substituted in command:

  %% | by %,
  %v | by value of the spinButton
  %w | by the widget-ID

  type: string
  default: ""

## DESCRIPTION

## WIDGET COMMANDS

The spinButton command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for spinButton widgets:

ID getValue
  Returns the current value.

ID setValue value
  Sets the state of the widget according to value, changes variable and executes command.

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum